
public class Grille {
	final private int nbLignes;
	final private int nbColonnes;
	final private int nbAligne;
	final private String[][]grille;
	
	public Grille(){
		this(3, 3, 3);
	}
	
	public Grille(int lignes, int col, int al){
		nbLignes = lignes;
		nbColonnes = col;
		grille = new String[nbLignes][nbColonnes];
		nbAligne=al;
		initGrid();
	}
	
	public int getNbLignes(){
		return nbLignes;
	}
	
	public int getNbColonnes(){
		return nbColonnes;
	}

	public int getNbAligne(){
		return nbAligne;
	}
	
	public String getCase(int i, int j){
		return grille[i][j];
	}
	public void setCase(int i, int j, String p){
		grille[i][j]=p;
	}
	public String toString(){
		String s=" _ _ _ \n";
		
		for (int i=0; i<nbLignes; i++){
			for (int j=0; j<nbColonnes; j++){
				s+="|"+grille[i][j];
			}
			s+="|\n";
		}
		
		
		return s;
	}
	
	
	public void initGrid(){
		for (int i=0; i<nbLignes; i++){
			for (int j=0; j<nbColonnes;j++){
				grille[i][j]="_";
			}
		}
	}
	
	public Boolean estLibre(int l, int c){
		return grille[l][c].equals("_");
	}
	
	public String gagne(){
		int nb=0;
		String prec="_";
	
		/*alignements horizontaux*/		
		for (int i=0; i<nbLignes; i++){
			for (int j=0; j<nbColonnes; j++){
				if (grille[i][j].equals(prec)){
					nb++;
					if (nb==nbAligne && !grille[i][j].equals("_"))
						return grille[i][j];
				}
				else prec = grille[i][j];	
			}
		}
		
		nb=0;
		/*alignements verticaux*/
		for (int j=0; j<nbColonnes; j++){
			for (int i=0; i<nbLignes; i++){
				if (grille[i][j].equals(prec)){
					nb++;
					if (nb==nbAligne && !grille[i][j].equals("_"))
						return grille[i][j];
				}
				else prec = grille[i][j];	
			}
		}
		nb=0;
		/*
		for (int i=0; i<nbLignes-1; i++){
			for (int j=0; j<nbColonnes-1; j++){
				if (grille[i+1][j+1].equals(prec)){
					nb++;
					if (nb==nbAligne && !grille[i][j].equals("_"))
						return grille[i][j];
				}
				else prec = grille[i+1][j+1];	
			}
		}*/
		
		/*
		for (int i=nbLignes; i>1; i--){
			for (int j=nbColonnes; j>1; j--){
				if (grille[i-1][j-1].equals(prec)){
					nb++;
					if (nb==nbAligne && !grille[i][j].equals("_"))
						return grille[i][j];
				}
				else prec = grille[i-1][j-1];	
			}
		}*/
		return "_";	
	}

}



